[API] BossBarAPI [1.7 | 1.8 | 1.9 | 1.10] 2.4.1

API to display boss bar messages

  1. inventivetalent
    Tested Minecraft Versions:
    • 1.7
    • 1.8
    • 1.9
    • 1.10
    [​IMG]

    This API allows you to display boss bar messages.
    [​IMG]





    Features
    • compatibility with 1.7, 1.8 & 1.9
    • bar is always visible (does not disappear when looking in different directions)
    • no visible Enderdragon or Wither

    Usage

    [​IMG]
    Code (Java):

    //Create a new BossBar
    BossBar bossBar = BossBarAPI.addBar(player, // The receiver of the BossBar
          new TextComponent("Hi " + player.getName() + "!"), // Displayed message
          BossBarAPI.Color.BLUE, // Color of the bar
          BossBarAPI.Style.NOTCHED_20, // Bar style
          1.0f, // Progress (0.0 - 1.0)
          20, // Timeout
          2); // Timeout-interval
     

    BarAPI
    If you have plugins depending on BarAPI, you can install this plugin instead of it. The plugins will then use the BossBarAPI methods.


    Maven
    [​IMG]



    APIManager
    This API is compatible with APIManger.
    Click here for information on how to implement it.




    Links

    Code (spiget-meta):
    SlZOd2EkUm9kI1J3YW1GeUooVWtXa2QzZFdGPk4rSmFWelV3WVZoYWJHUiNSbk5hVnpVdytHMDVlVnAzUCswa0okUk1NMEp6WkZka2NHSnBPRDBrSiRSalIzZypXakpzZFZ7ViRuWmpNMDVEV1ZoPFFsVkZhMjFrYlZaNVl6SnNkbUpxTUcqa2JWWjVZekpzZG1KcFYrMGtSMlYwSlE9PQ==

    Please leave a rating if you like this resource.
    Donations to support me or this resource are also very much appreciated.

Recent Updates

  1. 1.10 Support
  2. 1.9.4 support
  3. ReflectionHelper update

Recent Reviews

  1. tntcreeperking
    tntcreeperking
    5/5,
    Version: 2.4.1
  2. Luca_008
    Luca_008
    4/5,
    Version: 2.4.1
    If the player is in gamemode specator, the wither appear. How can I resolve that ?
  3. Xeyame
    Xeyame
    5/5,
    Version: 2.4.1
  4. KMinecraftPL
    KMinecraftPL
    4/5,
    Version: 2.4.1
    Good, but what styles are there? There is only NOTCHED_20 shown in example, but nothing about other styles...?
  5. atesin
    atesin
    1/5,
    Version: 2.4.1
    this plugin/lib could be good, but is too complicated to install ... seems i have to have bungiecord installed for "TextComponent" to work, when all i want is a single "String" to be displayed
  6. hugogaymer
    hugogaymer
    4/5,
    Version: 2.4.1
    The plugins great but the source code link isn't working so, sorry but I'll give you 4 stars until you solve it.
  7. Socialclubz.com
    Socialclubz.com
    5/5,
    Version: 2.4.1
    Great plugin, needs update tons of my plugins require this. 1.11.x

    Thanks for creating this plugin by the way!
  8. ThijsHero
    ThijsHero
    4/5,
    Version: 2.4.1
    Please 1.11 :(. We need it for more version support for the network. It would be amazing if you could update this.
  9. GabboMCPE
    GabboMCPE
    2/5,
    Version: 2.4.1
    Not works with Spigot 1.7.9 .
  10. Eyebeats
    Eyebeats
    5/5,
    Version: 2.4.1
    Please update this to 1.11! I love your plugins and will continue to use them! Thanks once again, Also keep doing good work